---

- name: "Fetch virtual machines"
  ansible.builtin.set_fact:
    rps_virtual_machine: |
      {{
          lookup(
            'netbox.netbox.nb_lookup',
            'virtual-machines',
            api_endpoint=netbox_api,
            token=netbox_token,
            validate_certs=False,
            api_filter='name=' + rps_vms_name,
          ) | default([])
      }}
  register: result
  retries: 5
  delay: 3
  until: result is not failed

- name: "Assign tags to vm"
  ansible.builtin.uri:
    url: "{{ netbox_api }}/api/virtualization/virtual-machines/{{ rps_virtual_machine.value.id }}/"
    method: PATCH
    headers:
      Authorization: "Token {{ netbox_token }}"
      Content-Type: "application/json"
    body:
      tags: "{{ (rps_virtual_machine.value.tags | map(attribute='id') | list) + [rps_tag.tags.id] }}"
    validate_certs: false
    body_format: json
    status_code: 200
  register: result
  retries: 5
  delay: 3
  until: result is not failed
